package model

import (
	"context"
	"yx-dataset-server/app/schema"
)

// IChatAssistant ChatAssistant存储接口
type IChatAssistant interface {
	// 查询数据
	Query(ctx context.Context, params schema.ChatAssistantQueryParam, opts ...schema.ChatAssistantQueryOptions) (*schema.ChatAssistantQueryResult, error)
	// 查询指定数据
	Get(ctx context.Context, recordID string, opts ...schema.ChatAssistantQueryOptions) (*schema.ChatAssistant, error)
	// 创建数据
	Create(ctx context.Context, item schema.ChatAssistant) error
	// 更新数据
	Update(ctx context.Context, recordID string, item schema.ChatAssistant) error
	// 删除数据
	Delete(ctx context.Context, recordID string) error
	// 更新状态
	UpdateStatus(ctx context.Context, recordID string, status int) error
}
